List system statuses
Lists Issue Statuses available for any issue
Request
GET
https://api.sourcecraft.tech/issue_statuses
Responses
200 OK
A successful response.
Body
application/json
{
"statuses": [
{
"id": "example",
"slug": "example",
"name": "example",
"status_type": "initial"
}
],
"next_page_token": "example"
}
|
Name |
Description |
|
next_page_token |
Type: string Example: |
|
statuses |
Type: IssueStatus[] Example
|
StatusType
Type: string
Enum: initial, in_progress, paused, completed, cancelled
IssueStatus
|
Name |
Description |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
slug |
Type: string Example: |
|
status_type |
Type: StatusType Enum: |
Example
{
"id": "example",
"slug": "example",
"name": "example",
"status_type": "initial"
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |